#!/usr/bin/perl -w -I/usr/sausalito/perl -I.
# $Id: telnetService.pl,v 1.7 2001/06/20 23:11:43 mpashniak Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.

use TelnetAccess;
use CCE;

my $cce = new CCE;
$cce->connectfd();

my $oid = $cce->event_oid();
my $obj = $cce->event_object();

my @oids = $cce->find('System');
if (!defined($oids[0]))
{
  # we have major problems if the System object doesn't exist,
  # some code to crash out with an error and create panic
  print STDERR "No System object in CCE!!!!\n";
  exit 0;
}

my ($ok, $telnet) = $cce->get($oids[0], "Telnet");

if($ok) {
	TelnetAccess::changeAccess($telnet->{'access'}, $telnet->{'connectRate'}, 
		$telnet->{'enabled'});
}

$cce->bye('SUCCESS');
exit(0);
