#!/usr/bin/perl -w -I/usr/sausalito/perl -I.
# $Id: enableAM.pl,v 1.6 2001/06/13 17:40:47 will Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.
# 
#
use strict;
use CCE;

my $cce = new CCE;
$cce->connectfd();

# retreive object data:
my $oid = $cce->event_oid();
my $ns = $cce->event_namespace();
my $prop = $cce->event_property();
my ($ok, $newobj) = $cce->get($oid, $ns);

if (!$oid || !$ns ||!$prop) {
  $cce->bye('FAIL', 'Bad oid or namespace');
  exit(1);
}

my $newval = $newobj->{enabled};

my @oids = $cce->find("ActiveMonitor");
if($oids[0] =~ /^\d+$/) {
	$cce->set($oids[0], "Telnet", {enabled => $newval});
}

$cce->bye('SUCCESS');
exit(0);
